<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 * INCLUDE Smarty
 */
require_once(SMARTY_DIR . 'Smarty.class.php');

/**
 *  Smartyクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    Pocket
 */
class Pocket_Smarty extends Smarty
{
    /** @var    string  出力文字コード */
    var $output_charset = 'UTF-8';

    /**
     *  コンストラクタ
     *
     *  @access public
     */
    function Pocket_Smarty()
    {
        $this->Smarty();

        // Smartyパラメータ設定
        $this->template_dir   = SMARTY_TEMPLATE_DIR;
        $this->cache_dir      = SMARTY_CACHE_DIR;
        $this->caching        = SMARTY_CACHING;
        $this->cache_lifetime = SMARTY_CACHE_LIFETIME;
        $this->compile_dir    = SMARTY_COMPILE_DIR;
        $this->force_compile  = SMARTY_FORCE_COMPILE;
        $this->config_dir     = SMARTY_CONFIG_DIR;
        $this->plugins_dir    = array(SMARTY_DIR . 'plugins', POCKET_DIR . 'plugins');

        // デフォルト修正子を設定
        $this->default_modifiers = array('string_escape:"html"', 'string_nl2br');

        // プリフィルタを登録
        $this->register_prefilter('smarty_prefilter');
        // ポストフィルタを登録
        $this->register_postfilter('smarty_postfilter');
        // アウトプットフィルタを登録
        $this->register_outputfilter('smarty_outputfilter');
    }
}

/**
 *  プリフィルタ（コンパイルされる前に実行）
 *
 *  @access public
 */
function smarty_prefilter($source, &$smarty)
{
    return mb_convert_encoding($source, 'UTF-8', 'UTF-8');
}

/**
 *  ポストフィルタ（コンパイルされた後に実行）
 *
 *  @access public
 */
function smarty_postfilter($source, &$smarty)
{
    return mb_convert_encoding($source, 'UTF-8', 'UTF-8');
}

/**
 *  アウトプットフィルタ（出力される前に実行）
 *
 *  @access public
 */
function smarty_outputfilter($source, &$smarty)
{
    // 携帯サイト向け文字コードか判定
    if ($smarty->output_charset == 'SJIS')
    {
        // 全角カナを半角カナに変換
        if (function_exists('mb_convert_kana'))
            $source = mb_convert_kana($source, 'k');
    }
    return mb_convert_encoding($source, $smarty->output_charset, 'UTF-8');
}

?>
