CREATE TABLE `pbb_access_log` (
    `access_log_id` int(11) NOT NULL auto_increment,
    `user_agent` varchar(255) NOT NULL DEFAULT '',
    `ip` varchar(100) NOT NULL DEFAULT '',
    `host` varchar(255) NOT NULL DEFAULT '',
    `uri` varchar(255) NOT NULL DEFAULT '',
    `referer` varchar(255) NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`access_log_id`)
) ENGINE=MyISAM;

CREATE TABLE `pbb_banner` (
    `banner_id` int(11) NOT NULL auto_increment,
    `title` varchar(255) NOT NULL DEFAULT '',
    `outline` text NOT NULL DEFAULT '',
    `url` text NOT NULL DEFAULT '',
    `image_id` int(11) NOT NULL,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`banner_id`)
) ENGINE=MyISAM;

CREATE TABLE `pbb_bbs_config` (
    `bbs_config_id` int(11) NOT NULL auto_increment,
    `name` varchar(64) NOT NULL DEFAULT '',
    `value` text NOT NULL DEFAULT '',
    PRIMARY KEY  (`bbs_config_id`)
) ENGINE=MyISAM;

CREATE TABLE `pbb_block_log` (
    `block_log_id` int(11) NOT NULL auto_increment,
    `ip` varchar(100) NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`block_log_id`)
) ENGINE=MyISAM;

CREATE TABLE `pbb_blocks` (
    `block_id` int(11) NOT NULL auto_increment,
    `ip` varchar(100) NOT NULL DEFAULT '',
    `note` text NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`block_id`)
) ENGINE=MyISAM;

CREATE TABLE `pbb_categories` (
    `category_id` int(11) NOT NULL auto_increment,
    `parent_id` int(11) NOT NULL,
    `category_name` varchar(255) NOT NULL DEFAULT '',
    `outline` text NOT NULL DEFAULT '',
    `sort_order` int(11) NOT NULL DEFAULT '0',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`category_id`)
) ENGINE=MyISAM;

CREATE TABLE `pbb_category_topics` (
    `category_topic_id` int(11) NOT NULL auto_increment,
    `category_id` int(11) NOT NULL,
    `topic_id` int(11) NOT NULL,
    PRIMARY KEY  (`category_topic_id`)
) ENGINE=MyISAM;

CREATE TABLE `pbb_images` (
    `image_id` int(11) NOT NULL auto_increment,
    `title` varchar(255) NOT NULL DEFAULT '',
    `size` int(11) NOT NULL,
    `type` varchar(255) NOT NULL DEFAULT '',
    `image` longblob NOT NULL,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`image_id`)
) ENGINE=MyISAM;

CREATE TABLE `pbb_links` (
    `link_id` int(11) NOT NULL auto_increment,
    `link_name` varchar(255) NOT NULL DEFAULT '',
    `url` text NOT NULL DEFAULT '',
    `sort_order` int(11) NOT NULL DEFAULT '0',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`link_id`)
) ENGINE=MyISAM;

CREATE TABLE `pbb_topics` (
    `topic_id` int(11) NOT NULL auto_increment,
    `author_name` varchar(255) NOT NULL DEFAULT '',
    `author_email` varchar(255) DEFAULT NULL DEFAULT '',
    `subject` varchar(255) NOT NULL DEFAULT '',
    `category_id` int(11) NOT NULL,
    `allow_comment` tinyint(1) NOT NULL DEFAULT 0,
    `body` text NOT NULL DEFAULT '',
    `author_password` blob NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `m_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`topic_id`)
) ENGINE=MyISAM;

CREATE TABLE `pbb_topic_comments` (
    `topic_comment_id` int(11) NOT NULL auto_increment,
    `topic_id` int(11) NOT NULL,
    `is_checked` tinyint(1) NOT NULL DEFAULT 0,
    `author_name` varchar(255) NOT NULL DEFAULT '',
    `author_email` varchar(255) DEFAULT NULL,
    `comment` text NOT NULL DEFAULT '',
    `author_password` blob NOT NULL,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`topic_comment_id`)
) ENGINE=MyISAM;

CREATE TABLE `pbb_user` (
    `user_id` int(11) NOT NULL auto_increment,
    `id` varchar(255) NOT NULL DEFAULT '',
    `email` blob NOT NULL DEFAULT '',
    `password` blob NOT NULL,
    `nickname` varchar(255) NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `m_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM;
