<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  コメント登録用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.mobile.do
 */
class topicCommentEntryInsertAction extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $topic_id        = $request['topic_id'];
        $allow_comment   = $request['allow_comment'];
        $author_name     = $request['author_name'];
        $author_email    = $request['author_email'];
        $comment         = $request['comment'];
        $author_password = $request['author_password'];

        // コメント削除許可のチェック
        if ($allow_comment == intval(true))
        {
            // コメントの削除許可有
            db_insert_topic_comment_allow_yes($topic_id, intval(false), $author_name, $author_email, $comment, md5($author_password));
        }
        else {
            // コメントの削除許可無
            db_insert_topic_comment_allow_no($topic_id, intval(false), $author_name, $author_email, $comment);
        }

        // コメント投稿メールの送信
        pbb_sendCommentMail(db_get_user4first_user_id(), $topic_id, $author_name);

        // リダイレクト
        pocket_redirect('topicComment.view', array('topic_id' => $topic_id));
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $topic_id        = $request['topic_id'];
        $allow_comment   = $request['allow_comment'];
        $author_name     = $request['author_name'];
        $author_email    = $request['author_email'];
        $comment         = $request['comment'];
        $author_password = $request['author_password'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'topicCommentEntry';

        // 検証
        $validator->validate('topic_id'    , 'ID'      , $topic_id    , 'number', true);
        $validator->validate('author_name' , '名前'    , $author_name , 'string', true);
        $validator->validate('author_email', 'E-Mail'  , $author_email, 'email');
        $validator->validate('comment'     , 'コメント', $comment     , 'string', true);

        // トピック情報の存在チェック
        if (!db_get_topic_info($topic_id))
            pocket_redirect('default.view');

        // コメントの削除許可がある場合、暗証番号をチェック
        if ($allow_comment == intval(true))
        {
            $validator->validate('author_password', '暗証番号', $author_password, 'alnum'      , true);
            $validator->validate('author_password', '暗証番号', $author_password, '/^[\w]{4}$/', true);
        }
    }
}

?>
