<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  コメント画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.mobile.view
 */
class topicCommentAction extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $topic_id = $request['topic_id'];

        /**
         *  メイン情報の取得、設定
         */
        // トピック情報の取得、設定
        $topic = db_get_topic_info($topic_id);
        $this->assign('topic', $topic);

        // トピック情報の存在チェック
        if (!$topic)
            pocket_redirect('default.view');

        // コメント情報の取得、設定
        $topic_comments = db_get_topic_comments4topic_comment($topic_id);
        $this->assign('topic_comments', $topic_comments);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('author_name', $request['author_name']);
            $this->assign('author_email', $request['author_email']);
            $this->assign('comment', $request['comment']);
            $this->assign('author_password', $request['author_password']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', $topic['subject']);

        // カテゴリのパン屑リスト情報の設定
        $this->assignCategoryBreadcrumbsListInfo($topic['category_id']);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
